generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\SupportBundle\Entity\Support
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendSupportBundle
    pk_requirement: ~
    fields: 
      branch:
        label:            Відділ
        formType:         choice
        dbType:           string   
        addFormOptions:
         required: true
         choices:
           1: Відділ продукції
           2: Технічний відділ
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields: 
           name:
             locale_options:
               uk:
                 label : ПІБ  
               ru:
                 label : ФИО
           category:
             locale_options:
               uk:
                 label : Категрія  
               ru:
                 label : Категрия      
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Підтримка
            display: [getName, branch]
            actions:
                new: ~
            object_actions:
                edit: ~
                delete: ~
    filters:
        params:
            display: []
    new:
        params:
            title: Новий запис
            display: [branch, translations, phone, skype, email]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Ви редагуєте запис\"%object%\"|{ %object%: Support.getName }|"
            display: [branch, translations, phone, skype, email]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: Support.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
